Bug 985881 - can;t create private bugs using xmlrpc
can;t create private bugs using xmlrpc
Status: CLOSED NOTABUG
Product: Bugzilla
Classification: Community
Component: WebService (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity medium (vote)
: ---
: ---
Assigned To: Simon Green
tools-bugs
:
Depends On:
Blocks: 803772
  Show dependency treegraph
 
Reported: 2013-07-18 08:28 EDT by Jiri Moskovcak
Modified: 2015-02-01 17:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-19 09:10:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Moskovcak 2013-07-18 08:28:00 EDT
Description of problem:
I'm not able to create a bug with access restricted to some groups. I'm getting this error: 

You tried to restrict a bug to the 'group_12' group, but either this group does not exist, or you are not allowed to restrict bugs to this group in the 'Red Hat Enterprise Linux 7' product.

However if I try the same using the web interface it works, so I have the required permissions.

Version-Release number of selected component (if applicable):
whatever is deployed now (2013-07-18)

How reproducible:
100%

Steps to Reproduce:
1. call Bug.create with group list to to restrict the access
2.
3.

Actual results:
You tried to restrict a bug to the 'group_12' group, but either this group does not exist, or you are not allowed to restrict bugs to this group in the 'Red Hat Enterprise Linux 7' product.

Expected results:
a new bug restricted to the specified groups is created

Additional info:
Comment 1 Simon Green 2013-07-19 09:10:52 EDT
(In reply to Jiri Moskovcak from comment #0)
> Actual results:
> You tried to restrict a bug to the 'group_12' group, but either this group
> does not exist, or you are not allowed to restrict bugs to this group in the
> 'Red Hat Enterprise Linux 7' product.

There is no group named 'group_12' so the error message is valid. Try using a valid group name. You can get a list of groups that you have access to by viewing the Permissions tab under the Preferences page ( direct URL: https://bugzilla.redhat.com/userprefs.cgi?tab=permissions ). The name is the column on the left. Not all groups are available for all products however.

  -- simon

Note You need to log in before you can comment on or make changes to this bug.